Bug 1644310 - Cannot add volume when navigated from ec2 block storage provider relationships
Summary: Cannot add volume when navigated from ec2 block storage provider relationships
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Martin Povolny
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ec2:storage:volume
: 1652899 (view as bug list)
Depends On:
Blocks: 1654487
TreeView+ depends on / blocked
 
Reported: 2018-10-30 12:47 UTC by Matouš Mojžíš
Modified: 2019-09-09 11:20 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1654487 (view as bug list)
Environment:
Last Closed: 2019-02-07 23:03:55 UTC
Category: ---
Cloudforms Team: AWS
Target Upstream Version:


Attachments (Terms of Use)
volume_add_infinispinner (64.59 KB, image/png)
2018-10-30 12:47 UTC, Matouš Mojžíš
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:04:00 UTC

Description Matouš Mojžíš 2018-10-30 12:47:33 UTC
Created attachment 1498957 [details]
volume_add_infinispinner

Description of problem:


Version-Release number of selected component (if applicable):
5.10.0.21

How reproducible:
Always

Steps to Reproduce:
1. Add an ec2 provider
2. Go to Storage -> Block Storage -> Manager -> Select ebs block storage provider
3. Click on Cloud Volumes in Relationships
4. Add a volume

Actual results:
Not enough attributes available to fill in form.
Exception and infinispinner after selecting Add.

Expected results:


Additional info:

Comment 3 Alexander Zagaynov 2018-11-13 19:38:16 UTC
There is several issues under the hood:

1) when server returns error flash message, spinner arise and locks the screen
https://github.com/ManageIQ/manageiq-ui-classic/blob/e07dc00882fe85f7813a0af86ac6fa197f044ba2/app/controllers/cloud_volume_controller.rb#L226 (fix)

2) volume creation permissions validation fails because of empty "ems" / missing "emstype" parameter
https://github.com/ManageIQ/manageiq-ui-classic/blob/e1e703045c303cf1ecee0f3d9588b40b86256373/app/controllers/cloud_volume_controller.rb#L208 (where to see)

3) when user opens volume creation page from all volumes list, he can select "Storage Manager" from a list, and form got updated with provider-specific fields
http://localhost:3000/cloud_volume/new#/
but when he open that page from storage manager's volumes list page, that field is disabled, and form isn't amended
http://localhost:3000/cloud_volume/new?storage_manager_id=3#/

4) not all providers have cloud volumes - happens, when there is such provider in database
https://github.com/ManageIQ/manageiq-ui-classic/blob/e07dc00882fe85f7813a0af86ac6fa197f044ba2/app/helpers/application_helper/button/cloud_volume_new.rb#L15 (fix)

Comment 6 CFME Bot 2018-11-26 22:37:55 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/ceb56d29494ad33e96b4b2d17b952dfc855e01eb
commit ceb56d29494ad33e96b4b2d17b952dfc855e01eb
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Mon Nov 26 07:59:40 2018 -0500
Commit:     Martin Hradil <himdel@seznam.cz>
CommitDate: Mon Nov 26 07:59:40 2018 -0500

    Merge pull request #4908 from martinpovolny/cloud_volume_buttons

    Cloud Volume creation fixes

    (cherry picked from commit c7af6b63e77ba40a36cf5661f35c44c5767dfc55)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1644310

 app/assets/javascripts/controllers/cloud_volume/cloud_volume_form_controller.js | 10 +
 app/controllers/cloud_volume_controller.rb | 3 +-
 app/controllers/ems_common.rb | 11 +-
 app/helpers/application_helper/button/cloud_volume_backup_create.rb | 5 +-
 app/helpers/application_helper/button/cloud_volume_backup_restore.rb | 5 +-
 app/helpers/application_helper/button/cloud_volume_new.rb | 5 +-
 app/views/cloud_volume/_common_new_edit.html.haml | 2 +-
 app/views/cloud_volume/new.html.haml | 2 +-
 spec/controllers/cloud_volume_controller_spec.rb | 25 +-
 9 files changed, 59 insertions(+), 9 deletions(-)

Comment 7 Alexander Zagaynov 2018-11-28 14:02:33 UTC
*** Bug 1652899 has been marked as a duplicate of this bug. ***

Comment 9 Matouš Mojžíš 2018-12-11 13:28:07 UTC
Verified in 5.10.0.28. I can CRUD ebs volume when navigated from ec2 block storage provider relationships.

Comment 10 errata-xmlrpc 2019-02-07 23:03:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.